app.controller('SignInController', ['$scope', 'Auth', '$location', 'localStorageService', function ($scope, Auth, $location, localStorageService) {
  var vm = this;
  vm.signIn = function () {

    var userInfo = {
      email: vm.userAuthEmail
    };

    Auth.setUser(userInfo);

    var userAuthenticated = function() {
      return localStorageService.set('userAuth', JSON.stringify(userInfo));
    }();

    $location.path('/launchpad-home');
  };

}]);
